## redir 0.7

=== Makefile ===
CC = gcc
# Needed for Sun dev
#CFLAGS = -g -I. -DNEED_STRCHR -DNEED_STRDUP
#LIBS =  ../textutils-1.14/lib/libtu.a
CFLAGS =-O2
LDFLAGS = -s

all: redir

redir:		redir.o
	${CC} ${LDFLAGS} -o redir redir.o ${LIBS}

redir.o:	redir.c

## redir 2.1

=== Makefile ===
CC = gcc

# if your system lacks getopt_long, remove the comment from this line
OBJS = redir.o # getopt/getopt.o getopt/getopt1.o

# if your system lacks strrchr() or strdup(), or you want TCP wrappers
# support, edit this line
CFLAGS = -O2 -Wall # -DUSE_TCP_WRAPPERS # -DNEED_STRRCHR -DNEED_STRDUP
LDFLAGS = -s

# solaris, and others, may also need these libraries to link
# also edit here if you're using the TCP wrappers code
LIBS = #-lwrap #-lnsl -lsocket
# this line should build under os/2 using syslog from
# http://r350.ee.ntu.edu.tw/~hcchu/os2/ports/dev
# submitted by: Doug LaRue (dlarue@nosc.mil)
# LIBS = -lsyslog -lsocket

all: redir

clean:
	rm -f *.o redir core

redir:		${OBJS}
	${CC} ${LDFLAGS} -o redir ${OBJS} ${LIBS}

## redir 2.2.1

=== Makefile ===
### user configuration section

# if your system lacks getopt_long(), remove the comment from this line
GETOPT_OBJS = # getopt/getopt.o getopt/getopt1.o

# if your system lacks strrchr() or strdup(), edit this line
STR_CFLAGS = # -DNEED_STRRCHR -DNEED_STRDUP

# if you would like support for TCP wrappers (and have libwrap.a
# installed), remove these comments.

WRAP_CFLAGS = # -DUSE_TCP_WRAPPERS 
WRAP_LIBS = # -lwrap

# if your system needs any additional libraries (solaris, for example, 
# needs the ones commented out below), edit this line.

EXTRA_LIBS = #-lnsl -lsocket

# add additional compiler flags here.  Some useful ones are:
#
# -DNO_SHAPER (doesn't compile in traffic shaping code)
# -DNO_FTP (doesn't compile in FTP redirection support)

EXTRA_CFLAGS = # -DNO_SHAPER -DNO_FTP

### end of user configuration section

# redir requires gcc.  if you're lucky, another compiler might work.
CC = gcc

# if your system lacks getopt_long, remove the comment from this line
OBJS = redir.o $(GETOPT_OBJS)

CFLAGS = -O2 -Wall $(STR_CFLAGS) $(WRAP_CFLAGS) $(EXTRA_CFLAGS)
LDFLAGS = -s

# solaris, and others, may also need these libraries to link
# also edit here if you're using the TCP wrappers code
LIBS =  $(WRAP_LIBS) $(EXTRA_LIBS)
# this line should build under os/2 using syslog from
# http://r350.ee.ntu.edu.tw/~hcchu/os2/ports/dev
# submitted by: Doug LaRue (dlarue@nosc.mil)
# LIBS = -lsyslog -lsocket

all: redir

clean:
	rm -f $(OBJS) redir core

redir:		${OBJS}
	${CC} ${LDFLAGS} -o redir ${OBJS} ${LIBS}

=== debian/changelog ===
redir (2.2.1-13) unstable; urgency=medium

  * New maintainer (Closes: #619357)
  * debian/copyright: Convert to dep5 standard
  * debian/control: 
      - Change priority to optional
      - Remove Vcs-Git field until create the repo in collab-maint
      - Update and organize long description
  * Remove unused file: debian/Makefile.org
  * debian/redir.dirs: remove usr/bin, this directory is already created in
    debian/redir.install
  * Add patch file (32_fix_compilation_warning.patch) to fix some
    compilation warnings, issues with type casting variables
  * Add test to be run with autopkgtest

 -- Lucas Kanashiro <kanashiro.duarte@gmail.com>  Wed, 03 Jun 2015 23:01:22 -0300

redir (2.2.1-12) unstable; urgency=medium

  * QA upload.
  * debian/control: bump Standards-Version to 3.9.6

 -- Lucas Kanashiro <kanashiro.duarte@gmail.com>  Sun, 31 May 2015 14:43:14 -0300

redir (2.2.1-11) unstable; urgency=low

  * QA upload.
  * Set maintainer to QA
  * Enable hardening flags" by changing to d/compat to 9 and B/D on debhelper>9
    and new patch 31_enable_hardening.patch (Closes: #662715)
  * Bump standard version, no changes required
  * Remove d/README.source, as this package appearantly uses quilt, not
    dpatch

 -- Tobias Frost <tobi@coldtobi.de>  Sat, 07 Sep 2013 16:04:58 +0200

redir (2.2.1-10) unstable; urgency=low

  * fix typo in manpage.
  * drop dpatch build-dep
  * convert to 3.0 (quilt)
  * debian/control: move Vcs- arguments
  * bump Standards-Version to 3.9.3 (no changes needed)
  * debian/rules: convert to minimal debhelper

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sun, 04 Mar 2012 17:40:37 -0500

redir (2.2.1-9) unstable; urgency=low

  * updated my e-mail address.
  * fix calls to setsockopt to ensure that SO_REUSEADDR and SO_LINGER take
    effect (Closes: #508140)
  * bumped policy to 3.8.0 (added README.source)
  * clean up manpage to make lintian happy.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 03 Mar 2009 19:04:40 -0500

redir (2.2.1-8) unstable; urgency=low

  * added Homepage, Vcs-Svn, Vcs-Browser, and XS-Dm-Upload-Allowed fields
    to debian/control
  * Bumped Standards-Version: to 3.7.3 (no changes needed)

 -- Daniel Kahn Gillmor <dkg-debian.org@fifthhorseman.net>  Sun, 13 Jan 2008 14:39:30 -0500

redir (2.2.1-7) unstable; urgency=low

  * clean up diff.gz

 -- Daniel Kahn Gillmor <dkg-debian.org@fifthhorseman.net>  Wed, 15 Aug 2007 16:13:14 -0400

redir (2.2.1-6) unstable; urgency=low

  * (Unreleased) don't strip binaries by default.  Thanks, Julien
    Danjou <acid@debian.org> (Closes: #437898)
  * bumped policy
  * format Homepage in description.
  * fix inetd example in notes file to match modern syntax

 -- Daniel Kahn Gillmor <dkg-debian.org@fifthhorseman.net>  Wed, 15 Aug 2007 14:56:58 -0400

redir (2.2.1-5) unstable; urgency=low

  * (Unreleased) switched to debhelper compatibility version 5
  
 -- Daniel Kahn Gillmor <dkg-debian.org@fifthhorseman.net>  Fri, 25 Nov 2005 21:30:33 -0500

redir (2.2.1-4) unstable; urgency=low

  * (Unreleased) modified debian/watch to use the fancier version
    suggested by the watch wizard at http://dehs.alioth.debian.org/
 -- Daniel Kahn Gillmor <dkg-debian.org@fifthhorseman.net>  Fri, 25 Nov 2005 12:42:51 -0500

redir (2.2.1-3) unstable; urgency=low

  * (Unreleased) added debian/watch
  
 -- Daniel Kahn Gillmor <dkg-debian.org@fifthhorseman.net>  Thu, 24 Nov 2005 01:10:16 -0500

redir (2.2.1-2) unstable; urgency=low

  * Now using dpatch
  * fixed timeouts to only happen after full duration of inactivity, 
    rather than absolute.  Thanks to Robert de Bath (Closes: #142382)
  * fixed problematic buffer allocation introduced by bandwidth 
    throttling (Closes: #335288).
  * Builds without any warnings from gcc, even with --pedantic
  
 -- Daniel Kahn Gillmor <dkg-debian.org@fifthhorseman.net>  Sun, 23 Oct 2005 00:06:48 -0400

redir (2.2.1-1) unstable; urgency=low

  * New maintainer (closes: #328602)
  * new upstream release, includes upstream's bandwidth throttling
    (Closes: #147061, #139197)
  * changed flag in docs from --maxbandwidth to --max_bandwidth
    to match source.
  * changed priority from optional to extra to match override
  * redir-2.1.lsm changed to redir-2.2.lsm found at 
    http://www.ibiblio.org/linsearch/lsms/redir-2.2.html
  * debian/control: version from 3.6.1.0 to 3.6.2.1 (no changes)
  * debian/rules: now using debhelper, compatibility level 4
  
 -- Daniel Kahn Gillmor <dkg-debian.org@fifthhorseman.net>  Fri, 21 Oct 2005 23:54:05 -0400

redir (2.1-3) unstable; urgency=low

  * thanks for the NMU (Closes: #190515)
    Looking for new Maintainer, see #328602
  * redir.c: fixed compile warnings (Closes: #291835)
  * debian/copyright: fixed download url (Closes: #188299)
  * debian/control: description typo fix (Closes: #277257)
  * debian/copyright: make lintian happy - point to common-licenses
  * debian/control: version from 3.1.1 to 3.6.1.0 (no changes)
  
 -- Bernd Eckenfels <ecki@debian.org>  Fri, 16 Sep 2005 18:47:50 +0200

redir (2.1-2.1) unstable; urgency=low

  * NMU.
  * Add Build-Depends on debhelper and libwrap0-dev.  Closes: #190515.

 -- Daniel Schepler <schepler@debian.org>  Mon, 18 Aug 2003 00:57:34 -0700

redir (2.1-2) unstable; urgency=low

  * use TCP_WRAPPER (closes: #66512)
  * closes: #54247 (added a few ntohs() calls and reported it upstream)
  * closes: #52518 (ignore accept errors)
  * closes: #40260 (supported in 2.1)
  * include section and priority in bin package (dh_gencontrol -- -isp)
  
 -- Bernd Eckenfels <ecki@debian.org>  Sun, 23 Jul 2000 04:58:43 +0200

redir (2.1-1) unstable; urgency=low

  * new upstream release (#50815, #34500)
  * new package upload of source and diff (#44259)
  * fixed spelling in manpage (#36821, #36143)

 -- Bernd Eckenfels <ecki@debian.org>  Sun, 21 Nov 1999 18:59:20 +0100

redir (1.2-1) unstable; urgency=low

  * new upstream release
  * adds support for ftp


=== debian/control ===
Source: redir
Section: net
Priority: optional
Maintainer: Lucas Kanashiro <kanashiro.duarte@gmail.com>
Build-Depends: debhelper (>=9),
               libwrap0-dev
Standards-Version: 3.9.6
Homepage: http://sammy.net/~sammy/hacks/
Vcs-Browser: https://anonscm.debian.org/cgit/users/kanashiro-guest/redir.git
Vcs-Git: git://anonscm.debian.org/cgit/users/kanashiro-guest/redir.git
Testsuite: autopkgtest

Package: redir
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Redirect TCP connections
 It can run under inetd or stand alone (in which case it handles multiple
 connections).  It is 8 bit clean, not limited to line mode, is small and
 light. Supports transparency, FTP redirects, http proxying, NAT and bandwidth
 limiting.
 .
 redir is all you need to redirect traffic across firewalls that authenticate
 based on an IP address etc. No need for the firewall toolkit. The
 functionality of inetd/tcpd and "redir" will allow you to do everything you
 need without screwy telnet/ftp etc gateways. (I assume you are running IP
 Masquerading of course.)

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1

%:
	dh $@

=== debian/tests/control ===
Tests: test
Depends: @, netcat

## redir 3.1

=== debian/changelog ===
redir (3.1-1) unstable; urgency=medium

  * Upload to unstable.

 -- Lucas Kanashiro <kanashiro@debian.org>  Tue, 07 Mar 2017 13:52:26 -0300

redir (3.1-1~exp1) experimental; urgency=medium

  * debian/watch: verify tar.gz files
  * New upstream version 3.1
  * debian/rules: pass --enable-compat argument to dh_auto_configure
  * debian/tests: test the retro compatibility with 2.x command line syntax
  * Bump debhelper compatibility level to 10
  * debian/control: update my mail address in Maintainer field

 -- Lucas Kanashiro <kanashiro@debian.org>  Sun, 22 Jan 2017 18:55:05 -0200

redir (3.0-1~exp1) experimental; urgency=medium

  * debian/watch: start to watch the new upstream repo and use version 4
  * Imported Upstream version 3.0 (Closes: #824698)
  * Remove all patches, they are handled by new upstream version
  * debian/rules: override dh_auto_configure to use new autogen.sh
  * debian/manpages: change to redir.1 instead of old redir.manpage
  * debian/docs: update list of doc files
  * Update upstream copyright
  * Update years of Debian packaging copyright
  * debian/copyright: update Source url
  * Declare compliance with Debian policy 3.9.8
  * debian/control: update Homepage
  * debian/tests/test: update redir call, use new syntax
  * Create debian/NEWS to notify users about new command line syntax

 -- Lucas Kanashiro <kanashiro.duarte@gmail.com>  Sun, 22 May 2016 22:30:09 -0300

redir (2.2.1-14) unstable; urgency=medium

  * debian/control: Update version control system urls
    (migrate to collab-maint)

 -- Lucas Kanashiro <kanashiro.duarte@gmail.com>  Thu, 16 Jul 2015 14:50:43 -0300

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: redir
 Section: net
 Priority: optional
-Maintainer: Lucas Kanashiro <kanashiro.duarte@gmail.com>
-Build-Depends: debhelper (>=9),
+Maintainer: Lucas Kanashiro <kanashiro@debian.org>
+Build-Depends: debhelper (>=10),
                libwrap0-dev
-Standards-Version: 3.9.6
-Homepage: http://sammy.net/~sammy/hacks/
-Vcs-Browser: https://anonscm.debian.org/cgit/users/kanashiro-guest/redir.git
-Vcs-Git: git://anonscm.debian.org/cgit/users/kanashiro-guest/redir.git
+Standards-Version: 3.9.8
+Homepage: https://github.com/troglobit/redir
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/redir.git
+Vcs-Git: https://alioth.debian.org/anonscm/git/collab-maint/redir.git
 Testsuite: autopkgtest
 
 Package: redir

=== debian/watch ===
version=4
https://github.com/troglobit/redir/releases .*/v?(\d\S*)\.tar\.gz

## redir 3.2

=== debian/changelog ===
redir (3.2-1) unstable; urgency=medium

  * New upstream version 3.2 (Closes: #870064)
  * Declare compliance with Debian Policy 4.1.3
  * Bump debhelper compatibility level to 11
  * Create patch to fix typo in manpage
  * debian/control: remove autopkgtest field, it is not necessary

 -- Lucas Kanashiro <kanashiro@debian.org>  Mon, 12 Mar 2018 13:48:15 -0300

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,12 @@
 Section: net
 Priority: optional
 Maintainer: Lucas Kanashiro <kanashiro@debian.org>
-Build-Depends: debhelper (>=10),
+Build-Depends: debhelper (>=11),
                libwrap0-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: https://github.com/troglobit/redir
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/redir.git
 Vcs-Git: https://alioth.debian.org/anonscm/git/collab-maint/redir.git
-Testsuite: autopkgtest
 
 Package: redir
 Architecture: any

## redir 3.3

=== debian/changelog ===
redir (3.3-1) unstable; urgency=medium

  [ Lucas Kanashiro ]
  * debian/control: update VCS metadata
  * Update Debian packaging copyright

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces

  [ Lucas Kanashiro ]
  * New upstream version 3.3
  * d/patches/01_fix-typo-in-manpage.patch: dropped, applied by upstream.
  * Bump debhelper compatibility level to 13
  * Declare compliance with Debian Policy 4.5.0
  * Update years of packaging copyright

 -- Lucas Kanashiro <kanashiro@debian.org>  Tue, 26 May 2020 23:24:50 -0300

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: net
 Priority: optional
 Maintainer: Lucas Kanashiro <kanashiro@debian.org>
-Build-Depends: debhelper (>=11),
+Build-Depends: debhelper-compat (= 13),
                libwrap0-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.5.0
 Homepage: https://github.com/troglobit/redir
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/redir.git
-Vcs-Git: https://alioth.debian.org/anonscm/git/collab-maint/redir.git
+Vcs-Browser: https://salsa.debian.org/debian/redir
+Vcs-Git: https://salsa.debian.org/debian/redir.git
 
 Package: redir
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -6,3 +6,7 @@
 
 %:
 	dh $@
+
+override_dh_auto_configure:
+	./autogen.sh
+	dh_auto_configure -- --enable-compat
